%global npm_name json5

Name: nodejs-json5
Version: 2.2.0
Release: %mkrel 2
Summary: JSON for humans
License: MIT
Group: Development/Other
URL: http://json5.org/
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(minimist) >= 1.2.5
Requires: npm(minimist) < 2.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/lib/cli.js
ln -sf %{nodejs_sitelib}/%{npm_name}/lib/cli.js %{buildroot}%{_bindir}/json5

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/json5
%license LICENSE.md
%doc CHANGELOG.md
%doc README.md



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 2.2.0-2.mga9
+ Revision: 1820590
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 bcornec <bcornec> 2.2.0-1.mga9
+ Revision: 1696663
- Add upstream NodeJS package json5
- Created package structure for nodejs-json5.

